#
# spec file for package moarvm
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global mvrel 2015.05
Name:           moarvm
Version:        %mvrel
Release:        4.18
Summary:        A virtual machine built especially for Rakudo Perl 6
License:        Artistic-2.0
Group:          Development/Libraries/Other
Url:            http://moarvm.org
Source:         http://moarvm.org/releases/MoarVM-%{mvrel}.tar.gz

%description
MoarVM (short for Metamodel On A Runtime Virtual Machine) is a runtime built
for the 6model object system. It is primarily aimed at running NQP and Rakudo
Perl 6, but should be able to serve as a backend for any compilers built using
the NQP compiler toolchain.

%package devel
Summary:        MoarVM development headers and libraries
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description devel
MoarVM (Metamodel On A Runtime) development headers.

%prep
%setup -q -n MoarVM-%{mvrel}

%build
sed -i -e 's!@prefix@/lib!%{_libdir}!' build/setup.pm
sed -i -e "s!ldrpath    => '-Wl.*!ldrpath    => '',!" build/setup.pm
perl Configure.pl --prefix=%{_usr} --debug --optimize=3
make %{?_smp_mflags}

%install
%make_install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/moar/share

%files
%defattr(-,root,root)
%doc LICENSE CREDITS Artistic2.txt docs
%{_bindir}/moar
%{_libdir}/libmoar*
%{_libdir}/moar
%{_datadir}/*

%files devel
%defattr(-,root,root)
%{_includedir}/*

%changelog
* Thu Jun 11 2015 mls@suse.de
- update to 2015.05
  * instrumenting profiler
  * many optimizations
  * added documentation
  * large file handling
  * endian fixes
  * lazy deserialization
  * implement NFC/NFD/NFKC/NFKD Unicode normalization algorithms
  * fix various memory leaks
- fix setup
* Fri Aug 22 2014 mls@suse.de
- update to 2014.08
  * support for JIT
  * specializer support
  * async read/write
  * lots of bugfixes
* Tue Mar 11 2014 mls@suse.de
- fix file list for i586 debuginfo builds
* Wed Mar  5 2014 mls@suse.de
- added Artistic2.txt to the doc section
* Mon Mar  3 2014 mls@suse.de
- initial release
